-- phpMyAdmin SQL Dump
-- version 4.6.6deb5
-- https://www.phpmyadmin.net/
--
-- Client :  localhost:3306
-- Généré le :  Mar 05 Juin 2018 à 20:28
-- Version du serveur :  10.1.29-MariaDB-6
-- Version de PHP :  7.0.29-1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `superviseur`
--
CREATE DATABASE IF NOT EXISTS `superviseur` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;
USE `superviseur`;

-- --------------------------------------------------------

--
-- Structure de la table `Client_Reseau`
--

CREATE TABLE `Client_Reseau` (
  `id_ClientReseau` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) NOT NULL,
  `description` text NOT NULL,
  `fk_type` int(11) DEFAULT NULL,
  `fk_port` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `Historique_Client`
--

CREATE TABLE `Historique_Client` (
  `id_historique` int(11) NOT NULL,
  `date_evnmt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` text NOT NULL,
  `fk_id_client` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `Port`
--

CREATE TABLE `Port` (
  `id_port` int(11) NOT NULL,
  `num_port` int(11) NOT NULL,
  `fk_id_switch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `Relation_Vlan_Port`
--

CREATE TABLE `Relation_Vlan_Port` (
  `id_RelationVlanPort` int(11) NOT NULL,
  `fk_idPort` int(11) NOT NULL,
  `fk_idVlan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `Switch`
--

CREATE TABLE `Switch` (
  `id_Switch` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) DEFAULT NULL,
  `nbre_ports` int(11) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `Type_Client`
--

CREATE TABLE `Type_Client` (
  `id_Type` int(11) NOT NULL,
  `Type` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `VLan`
--

CREATE TABLE `VLan` (
  `id_vlan` int(11) NOT NULL,
  `numero` int(11) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Index pour les tables exportées
--

--
-- Index pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD PRIMARY KEY (`id_ClientReseau`),
  ADD KEY `fk_type` (`fk_type`),
  ADD KEY `fk_port` (`fk_port`);

--
-- Index pour la table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  ADD PRIMARY KEY (`id_historique`);

--
-- Index pour la table `Port`
--
ALTER TABLE `Port`
  ADD PRIMARY KEY (`id_port`),
  ADD KEY `fk_id_switch` (`fk_id_switch`);

--
-- Index pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD PRIMARY KEY (`id_RelationVlanPort`),
  ADD KEY `fk_idPort` (`fk_idPort`),
  ADD KEY `fk_idVlan` (`fk_idVlan`);

--
-- Index pour la table `Switch`
--
ALTER TABLE `Switch`
  ADD PRIMARY KEY (`id_Switch`);

--
-- Index pour la table `Type_Client`
--
ALTER TABLE `Type_Client`
  ADD PRIMARY KEY (`id_Type`);

--
-- Index pour la table `VLan`
--
ALTER TABLE `VLan`
  ADD PRIMARY KEY (`id_vlan`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  MODIFY `id_ClientReseau` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT pour la table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  MODIFY `id_historique` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT pour la table `Port`
--
ALTER TABLE `Port`
  MODIFY `id_port` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  MODIFY `id_RelationVlanPort` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT pour la table `Switch`
--
ALTER TABLE `Switch`
  MODIFY `id_Switch` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT pour la table `Type_Client`
--
ALTER TABLE `Type_Client`
  MODIFY `id_Type` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT pour la table `VLan`
--
ALTER TABLE `VLan`
  MODIFY `id_vlan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD CONSTRAINT `Client_Reseau_ibfk_1` FOREIGN KEY (`fk_type`) REFERENCES `Type_Client` (`id_Type`),
  ADD CONSTRAINT `Client_Reseau_ibfk_2` FOREIGN KEY (`fk_port`) REFERENCES `Port` (`id_port`);

--
-- Contraintes pour la table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  ADD CONSTRAINT `Historique_Client_ibfk_1` FOREIGN KEY (`id_historique`) REFERENCES `Client_Reseau` (`id_ClientReseau`);

--
-- Contraintes pour la table `Port`
--
ALTER TABLE `Port`
  ADD CONSTRAINT `Port_ibfk_1` FOREIGN KEY (`fk_id_switch`) REFERENCES `Switch` (`id_Switch`);

--
-- Contraintes pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_1` FOREIGN KEY (`fk_idPort`) REFERENCES `Port` (`id_port`),
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_2` FOREIGN KEY (`fk_idVlan`) REFERENCES `VLan` (`id_vlan`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
